//]]>-->

Kde 4.6 og Arch

Kde 4.6 og Arch

Innleggav linman » søn 23.01.2011 11:58

Bestemte meg for [ oppgradere Kde fra 4.5.5 til 4.6 rc i dag. oppgraderingen gikk smertfritt helt til rebbot.. naa starter ikke kdm, Eller ikke kde naar jeg proever aa starte manuelt.
medlem i 113 måneder
 

Re: Kde 4.6 og Arch

Innleggav omaha » søn 23.01.2011 13:54

Ser for meg 3 sannsynlige årsaker:

1: Du la inn repo i pacman.conf og kjørte pacman -Syu

Den beste måten å gå mellom en offisiell versjon og et testmiljø er ved å fjerne KDE helt og installere ny KDE versjon. Det kan godt hende at du har noen pakker fra den gamle versjonen liggende fordi de ikke er tilgjengelige i testmiljø enda. En del pakker kompileres mot ny versjon først når den nye er klar. (KDE-testing er litt bortgjemt og ligger ikke synlig på nettsiden til Arch, og det er gode grunner for det).

2: Du har et kdm-tema som ikke er kompatibel med testversjonen.
https://wiki.archlinux.org/index.php/Kd ... Manager.29

3: Du har innstillinger i /home/username/.kde som skaper trøbbel.
(Ta en sikkerhetskopi og fjern deretter .kde - ved f.eks å gi katalogen nytt navn)

Mest sannsynlig er nok alternativ 1, og alt 2 eller alt 3 er det en god stund siden jeg har opplevd.

Vær også oppmerksom på at når KDE 4.6 slippes vil det være med Kontact fra 4.4 og 4.5 - kompilert for 4.6. Det er altså ikke den versjonen av Kontact som ligger i kde-testing. Du kan sannsynligvis forvente en del problemer både ved oppgradering og nedgradering av Kontact - med f.eks Kmail og Kjots.

Det er vel en knapp uke til den offisielle oppdateringen, og det kan lønne seg å vente til da.
medlem i 152 måneder
 

Re: Kde 4.6 og Arch

Innleggav linman » søn 23.01.2011 20:35

Takk for svar.

Jeg har sjekket ut litt aa det viser seg at det ma vere punkt 1 i mitt tilfelle.litt for fersk i arch ennaa.. saa hvordan nedgraderer jeg kde igjen.
medlem i 113 måneder
 

Re: Kde 4.6 og Arch

Innleggav Tertitten » søn 23.01.2011 21:16

For å nedgradere må du gjøre som omaha sa...
1. fjerne testing/ustabile KDE repo
2. Fjerne kde 4.6 og gjerne også resterende kde pakker som ligger igjen
3. Legge til stable repo på toppen av pacman.conf
4. Installere KDE

Tror det er best å gjøre det på denne måten slik at du får riktige deps helt fra scratch, f.eks ikke blir sittende igjen med feil qt versjon i forhold til kde versjon osv. .
Mulig det er en enklere å bedre måte, men for minimalt med problemer tror jeg dette er veien å gå ..

Brukerens avatar
medlem i 120 måneder
 

Re: Kde 4.6 og Arch

Innleggav omaha » søn 23.01.2011 22:28

Det er ikke alle som benytter Kontact, men om du har oppgratert/brukt det må du regne med problemer fordi Akonadi for KDE 4.6/Kontact 4.6 legger inn endel settings her og der.

En downgrade tilbakstiller ikke innstillingene, og det blir krøll i Kontact for KDE 4.5.
medlem i 152 måneder
 


Returner til KDE



Hvem er i Forumene

Registrerte brukere: Google [Bot]